package com.tourism.webadmin.app.website.controller;

import com.tourism.common.core.annotation.DisableDataFilter;
import com.tourism.common.core.object.ResponseResult;
import com.tourism.webadmin.app.website.service.TourGroupTypeService;
import com.tourism.webadmin.app.website.vo.HouseFilterListsVo;
import com.tourism.webadmin.app.website.vo.TourGroupTreeTypeVo;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "群聊类型")
@RestController
@DisableDataFilter
@Slf4j
@RequestMapping("/website/tourGroupType")
public class TourGroupTypeController {

    @Autowired
    private TourGroupTypeService tourGroupTypeService;

    /**
     *  获取群聊类型树形结构
     * @return {@link ResponseResult }<{@link HouseFilterListsVo }>
     */
    @GetMapping("/treeType")
    public ResponseResult<List<TourGroupTreeTypeVo>> treeType(){
        List<TourGroupTreeTypeVo> list=tourGroupTypeService.treeType();
        return ResponseResult.success(list);
    }

}
