package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.base.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 关注粉丝管理Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "关注粉丝管理Dto对象")
@Data
public class TourWebFansDto extends BaseModel {

    /**
     * 粉丝表id。
     */
    @Schema(description = "粉丝表id。", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    /**
     * 被关注人id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "被关注人id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long attentionId;
    /**
     * 当前页面
     */
    @Schema(description = "当前页")
    private Integer pageNum;
    /**
     * 每页多少条
     */
    @Schema(description = "每页多少条")
    private Integer pageSize;
    /**
     * 是否分页
     */
    @Schema(description = "是否分页")
    private Integer flagPage = 0;
}
