package com.tourism.webadmin.app.website.service;


import com.tourism.common.core.object.MyPageData;
import com.tourism.common.core.object.ResponseResult;
import com.tourism.webadmin.app.website.dto.PageDto;
import com.tourism.webadmin.app.website.dto.TourTourismProjectSearchRecordsDto;
import com.tourism.webadmin.app.website.vo.TourismProjectSearchRecordsVo;

import java.util.List;

/**
 * 游记列表搜索Service
 */
public interface TourismProjectSearchRecordsService {

	/**
	 * 用过游记搜索记录id删除记录
	 * @param idString 搜索记录id
	 * @return 结果
	 */
	ResponseResult<Void> removeProjectSearchRecordsById(String idString);

	/**
	 * 清空游记历史搜索记录
	 * @return 结果
	 */
	ResponseResult<Void> clearProjectSearchRecords(String searchType);

	/**
	 * 获取游记搜索记录列表
	 * @param pageDto 参数DTO对象
	 * @return 结果
	 */
	ResponseResult<MyPageData<TourismProjectSearchRecordsVo>> getSearchRecordList(TourTourismProjectSearchRecordsDto tourTourismProjectSearchRecordsDto);
}
