package com.tourism.webadmin.app.website.vo;

import com.tourism.webadmin.app.website.dto.PageDto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class GroupMessageVo extends PageDto {

    /**
     * userId。
     */
    @Schema(description = "发送人")
    private String createUserId;

    /**
     * 昵称。
     */
    @Schema(description = "昵称")
    private String showName;

    /**
     * 用户头像的Url。
     */
    @Schema(description = "用户头像的Url")
    private String headImageUrl;


    @Schema(description = "是否退群 0 否  1是")
    private String isExistence;


    /**
     * 消息ID。
     */
    @Schema(description = "id")
    private String id;

    /**
     * 消息内容。
     */
    @Schema(description = "消息内容")
    private String messageContent;

    /**
     * 消息类型 0文字 1文件 2系统消息。
     */
    @Schema(description = "消息类型 0文字 1文件 2系统消息")
    private Integer messageType;

    /**
     * 聊天群组id。
     */
    @Schema(description = "聊天群组id")
    private String groupId;

    /**
     * 通知消息类型 1.单聊消息 2 群聊消息 3系统消息 4关注信息 5点赞 6评论 7评论区艾特 8文章内艾特 9访问。
     */
    @Schema(description = "通知消息类型 1.单聊消息 2 群聊消息 3系统消息 4关注信息 5点赞 6评论 7评论区艾特 8文章内艾特 9访问")
    private Integer noticeType;

    /**
     * 消息置顶/公告 0不置顶 1置顶。
     */
    @Schema(description = "消息置顶/公告 0不置顶 1置顶")
    private Integer isTop;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "加密后的创建人")
    private String sendUserId;

}
