package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 门户用户管理实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
public class TourGroupPurchaseUserVo {

    private String userId;

    /**
     * 昵称。
     */
    @Schema(description = "昵称")
    private String showName;

    /**
     * 用户头像的Url。
     */
    @Schema(description = "头像url")
    private String headImageUrl;

    /**
     * 创建时间。
     */
    @Schema(description = "创建时间")
    private Date createTime;

    private String createTimeStr;

    /**
     * 当前用户下单人数
     */
    @Schema(description = "当前用户下单人数")
    private Integer peopleNumber;

    @Schema(description = "当前用户获得的返利")
    private BigDecimal rebatePrice;

    @Schema(description = "返利单位")
    private String priceUnit;

    @Schema(description = "团主，0否;1是")
    private String teamLeader;
}
