package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * TourTravelNotesTopicNotesSearchVo视图对象。
 *
 * @author 陈
 * @date 2024/01/24
 */
@Schema(description = "TourTravelNotesTopicNotesSearchVo视图对象")
@Data
public class TourTravelNotesTopicNotesSearchVo {

    /**
     * 游记id。
     */
    @Schema(description = "游记id")
    private String id;

    /**
     * 是否原创(0:非原创;1:原创)。。
     */
    @Schema(description = "是否原创(0:非原创;1:原创)。")
    private Integer isOriginal;

    /**
     * 游记标题。
     */
    @Schema(description = "游记标题")
    private String projectTitle;

    /**游记*/
    @Schema(description = "封面")
    private String tourismUrl;

    /**
     * 游记点赞量。
     */
    @Schema(description = "游记点赞量")
    private Integer likeCount;

    /**
     * 创作者id。
     */
    @Schema(description = "创作者id")
    private String createUserId;

    /**
     * 创作者昵称。
     */
    @Schema(description = "创作者昵称")
    private String createdShowName;

    /**
     * 创作者头像
     */
    @Schema(description = "创作者头像")
    private String createdHeadImageUrl;


}
