package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourImGroupInvitation;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天去聊邀请数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourImGroupInvitationMapper extends BaseDaoMapper<TourImGroupInvitation> {

    /**
     * 批量插入对象列表。
     *
     * @param tourImGroupInvitationList 新增对象列表。
     */
    void insertList(List<TourImGroupInvitation> tourImGroupInvitationList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourImGroupInvitationFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourImGroupInvitation> getTourImGroupInvitationList(
            @Param("tourImGroupInvitationFilter") TourImGroupInvitation tourImGroupInvitationFilter, @Param("orderBy") String orderBy);
}
