package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourImSensitiveWordAllow;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天敏感词白名单数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourImSensitiveWordAllowMapper extends BaseDaoMapper<TourImSensitiveWordAllow> {

    /**
     * 批量插入对象列表。
     *
     * @param tourImSensitiveWordAllowList 新增对象列表。
     */
    void insertList(List<TourImSensitiveWordAllow> tourImSensitiveWordAllowList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourImSensitiveWordAllowFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourImSensitiveWordAllow> getTourImSensitiveWordAllowList(
            @Param("tourImSensitiveWordAllowFilter") TourImSensitiveWordAllow tourImSensitiveWordAllowFilter, @Param("orderBy") String orderBy);
}
