package com.tourism.webadmin.back.dao;
import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTourismProjectSearchRecords;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 游记列表搜索数据操作访问接口。
 *
 * @author 奇幻之旅
 * @date 2024-09-06
 */
public interface TourTourismProjectSearchRecordsMapper extends BaseDaoMapper<TourTourismProjectSearchRecords> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTourismSearchRecordsList 新增对象列表。
     */
    void insertList(List<TourTourismProjectSearchRecords> tourTourismSearchRecordsList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTourismSearchRecordsFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTourismProjectSearchRecords> getTourTourismSearchRecordsList(
            @Param("tourTourismSearchRecordsFilter") TourTourismProjectSearchRecords tourTourismSearchRecordsFilter, @Param("orderBy") String orderBy);
}
