package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTourismProjectTravelNotesWriteContent;
import com.tourism.webadmin.back.model.TourismTravelNotesContentWrite;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 发布游记的文本框数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTourismProjectTravelNotesWriteContentMapper extends BaseDaoMapper<TourTourismProjectTravelNotesWriteContent> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTourismProjectTravelNotesWriteContentList 新增对象列表。
     */
    void insertList(List<TourTourismProjectTravelNotesWriteContent> tourTourismProjectTravelNotesWriteContentList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTourismProjectTravelNotesWriteContentFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTourismProjectTravelNotesWriteContent> getTourTourismProjectTravelNotesWriteContentList(
            @Param("tourTourismProjectTravelNotesWriteContentFilter") TourTourismProjectTravelNotesWriteContent tourTourismProjectTravelNotesWriteContentFilter, @Param("orderBy") String orderBy);
}
