package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourUserCommentCollectRelation;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 用户与评论的收藏关系表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourUserCommentCollectRelationMapper extends BaseDaoMapper<TourUserCommentCollectRelation> {

    /**
     * 批量插入对象列表。
     *
     * @param tourUserCommentCollectRelationList 新增对象列表。
     */
    void insertList(List<TourUserCommentCollectRelation> tourUserCommentCollectRelationList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourUserCommentCollectRelationFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourUserCommentCollectRelation> getTourUserCommentCollectRelationList(
            @Param("tourUserCommentCollectRelationFilter") TourUserCommentCollectRelation tourUserCommentCollectRelationFilter, @Param("orderBy") String orderBy);
}
