package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourUserCommentLikeRelation;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 用户与评论的点赞关系表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourUserCommentLikeRelationMapper extends BaseDaoMapper<TourUserCommentLikeRelation> {

    /**
     * 批量插入对象列表。
     *
     * @param tourUserCommentLikeRelationList 新增对象列表。
     */
    void insertList(List<TourUserCommentLikeRelation> tourUserCommentLikeRelationList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourUserCommentLikeRelationFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourUserCommentLikeRelation> getTourUserCommentLikeRelationList(
            @Param("tourUserCommentLikeRelationFilter") TourUserCommentLikeRelation tourUserCommentLikeRelationFilter, @Param("orderBy") String orderBy);
}
