package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.app.website.vo.SpecialCollectionVo;
import com.tourism.webadmin.back.model.TourUserLikeTopic;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 用户与话题的关联表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourUserLikeTopicMapper extends BaseDaoMapper<TourUserLikeTopic> {

    /**
     * 批量插入对象列表。
     *
     * @param tourUserLikeTopicList 新增对象列表。
     */
    void insertList(List<TourUserLikeTopic> tourUserLikeTopicList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourUserLikeTopicFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourUserLikeTopic> getTourUserLikeTopicList(
            @Param("tourUserLikeTopicFilter") TourUserLikeTopic tourUserLikeTopicFilter, @Param("orderBy") String orderBy);

    List<SpecialCollectionVo> getSpecialCollection(Long userId);
}
