package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 聊天去聊邀请Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "聊天去聊邀请Dto对象")
@Data
public class TourImGroupInvitationDto {

    /**
     * id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 聊天群组id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "聊天群组id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，聊天群组id不能为空！", groups = {UpdateGroup.class})
    private Long groupId;

    /**
     * 邀请人id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "邀请人id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，邀请人id不能为空！")
    private Long inviter;

    /**
     * 被邀请人id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "被邀请人id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，被邀请人id不能为空！")
    private Long invitee;

    /**
     * 邀请状态 1待确认 2同意 3不同意。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "邀请状态 1待确认 2同意 3不同意。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，邀请状态 1待确认 2同意 3不同意不能为空！")
    private Integer status;
}
