package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 游记提及的用户Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记提及的用户Dto对象")
@Data
public class TourTravelNotesMentionUserDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 游记id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "游记id。可支持等于操作符的列表数据过滤。")
    private Long travelNotesId;

    /**
     * 写游记提到的用户昵称。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "写游记提到的用户昵称。可支持等于操作符的列表数据过滤。")
    private String userName;

    /**
     * 写游记提到的用户id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "写游记提到的用户id。可支持等于操作符的列表数据过滤。")
    private Long userId;
}
