package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 用户与评论的收藏关系表Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "用户与评论的收藏关系表Dto对象")
@Data
public class TourUserCommentCollectRelationDto {

    /**
     * 用户Id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "用户Id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，用户Id不能为空！", groups = {UpdateGroup.class})
    private Long userId;

    /**
     * 评论id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "评论id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，评论id不能为空！")
    private Long commentId;
}
