package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 关注粉丝管理实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_fans")
public class TourFans extends BaseModel {

    /**
     * 粉丝表id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 被关注人id。
     */
    @TableField(value = "attention_id")
    private Long attentionId;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
//    @TableLogic
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    @TableField(exist = false)
    private Map<String, Object> attentionIdDictMap;

    @TableField(exist = false)
    private Map<String, Object> createUserIdDictMap;
}
