package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.util.MyCommonUtil;
import lombok.Data;

/**
 * 聊天敏感词黑名单实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_im_sensitive_word_deny")
public class TourImSensitiveWordDeny {

    /**
     * id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 黑名单词汇。
     */
    @TableField(value = "word")
    private String word;

    /**
     * word LIKE搜索字符串。
     */
    @TableField(exist = false)
    private String searchString;

    public void setSearchString(String searchString) {
        this.searchString = MyCommonUtil.replaceSqlWildcard(searchString);
    }
}
