package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 投诉类型管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "投诉类型管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourImComplaintTypeVo extends BaseVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private String id;

    /**
     * 类型名称。
     */
    @Schema(description = "类型名称")
    private String typeName;

    /**
     * 类型描述。
     */
    @Schema(description = "类型描述")
    private String description;

    /**
     * 是否启用。
     */
    @Schema(description = "是否启用")
    private Integer enable;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;
}
