package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 游记列表搜索VO视图对象。
 *
 * @author 奇幻之旅
 * @date 2024-09-06
 */
@Schema(description = "游记列表搜索VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourTourismSearchRecordsVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 搜索关键词。
     */
    @Schema(description = "搜索关键词")
    private String searchKeyword;

    /**
     * 搜索结果数量。
     */
    @Schema(description = "搜索结果数量")
    private Integer searchResultCount;

    /**
     * 搜索时间。
     */
    @Schema(description = "搜索时间")
    private Date searchTime;
}
