package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 游记评论中提到的用户VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记评论中提到的用户VO视图对象")
@Data
public class TourTravelNotesCommentMentionUserVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 评论id。
     */
    @Schema(description = "评论id")
    private Long commentId;

    /**
     * 写游记提到的用户昵称。
     */
    @Schema(description = "写游记提到的用户昵称")
    private String userName;

    /**
     * 写游记提到的用户id。
     */
    @Schema(description = "写游记提到的用户id")
    private Long userId;
}
