package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 游记话题VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记话题VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourTravelNotesTopicVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 话题名称。
     */
    @Schema(description = "话题名称")
    private String name;

    /**
     * 是否启用，0否，1是。
     */
    @Schema(description = "是否启用，0否，1是")
    private Integer enable;

    /**
     * 热度值。
     */
    @Schema(description = "热度值")
    private Integer hotValue;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * 浏览量。
     */
    @Schema(description = "浏览量")
    private Integer viewCount;
}
